package com.muyu.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.domain.TaskJoinInfo;
import com.muyu.mapper.TaskJoinMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @PackageName:com.muyu.controller
 * @ClassName:TaskJoinController
 * @Description:
 * @author: ￥陈思豪￥
 * @date: 2024/9/1 16:04
 */
@RestController
@RequestMapping("/taskJoin")
public class TaskJoinController {

    @Autowired
    private TaskJoinMapper taskJoinMapper;


    @PostMapping(value = "addTaskJoin")
    public Result<String> addTaskJoin(@RequestBody TaskJoinInfo taskJoinInfo){
        int insert = taskJoinMapper.insert(taskJoinInfo);
        if(insert<=0){
            throw new RuntimeException("失败");
        }
        return Result.success(null,"添加成功");
    };
}
